///////////////////////////////////////////////////////////////////////////
//                  Procedures for the Borland Delphi                    //
//                Copyright (C) 1990,1996 Fumio Kawamata                 //
//                                                                       //
//  This library is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU Library General Public License as      //
//  published by the Free Software Foundation; version 2 of the License. //
//                                                                       //
//  This library is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library    //
//  General Public License in the directory "GNUGPL" for more details.   //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************
unit MyProc;

interface

uses
  SysUtils,WinTypes,Forms,Dialogs;

procedure Inform(S:string);
procedure UnderConstruction;
procedure Warning(Msg:string);

implementation


//*************************************************************************
//* Displays message using inroamation dialog
//*************************************************************************
procedure Inform(S:string);
begin
  MessageDlg(S, mtInformation ,[mbOK],0);
end;


//*************************************************************************
//* Displays message saying about under construction using message dialog
//*************************************************************************
procedure UnderConstruction;
const
  MessageStr = 'This function does not work now.  Sorry.';
begin
  MessageDlg(MessageStr, mtInformation ,[mbOK],0);
end;


//*************************************************************************
//* Displays message using warning dialog
//*************************************************************************
procedure Warning(Msg:string);
begin
  MessageDlg(Msg, mtWarning, [mbOK],0);
end;


end.

