///////////////////////////////////////////////////////////////////////////
//            Hyper Juke, Audio-CD database with media player.           //
//                Copyright (C) 1990,1996 Fumio Kawamata                 //
//                                                                       //
//  This program is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU General Public License as published by //
//  the Free Software Foundation; version 2 of the License.              //                                                    //
//                                                                       //
//  This program is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General    //
//  Public License in the directory "GNUGPL" for more details.           //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************
unit SetInfo;

interface

procedure SetProgramInformations(Sender: TObject);

implementation

uses About,Splash;

// Following constants are for the captions and icon name.
const
  ProgComment  ='Audio CD Database with media player';
  ProgName     ='Hyper Juke';
  Version      ='Version 4.01';
  Copyright    ='Copyright(C) 1990 Fumio Kawamata';
  //IconName     ='ico\hyperjuke.ico';


//*************************************************************************
//* Sets captions and icon file name on the SPLASH/ABOUT form.
//*************************************************************************
procedure SetProgramInformations(Sender: TObject);
begin
  if Sender=formAbout then
    begin
      with formAbout do
        begin
          labelProgComment.Caption:=ProgComment;
          labelProgNameUpper.Font.Style:=[fsItalic];
          labelProgNameUpper.Caption:=ProgName;
          labelProgNameLower.Font.Style:=[fsItalic];
          labelProgNameLower.Caption:=ProgName;
          labelVersion.Caption:=Version;
          labelCopyright.Caption:=Copyright;
          //imageProgIcon.Picture.LoadFromFile(IconName);
        end;
    end
    else
    begin
      with formSplash do
        begin
          labelProgComment.Caption:=ProgComment;
          labelProgNameUpper.Font.Style:=[fsItalic];
          labelProgNameUpper.Caption:=ProgName;
          labelProgNameLower.Font.Style:=[fsItalic];
          labelProgNameLower.Caption:=ProgName;
          labelVersion.Caption:=Version;
          labelCopyright.Caption:=Copyright;
          //imageProgIcon.Picture.LoadFromFile(IconName);
        end;
    end;
end;



end.
