///////////////////////////////////////////////////////////////////////////
//            Hyper Juke, Audio-CD database with media player.           //
//                Copyright (C) 1990,1996 Fumio Kawamata                 //
//                                                                       //
//  This program is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU General Public License as published by //
//  the Free Software Foundation; version 2 of the License.              //                                                    //
//                                                                       //
//  This program is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General    //
//  Public License in the directory "GNUGPL" for more details.           //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************

// Notice:
// This unit calls SetProgramInformations procedure.

unit splash;

interface

uses
  SetInfo,
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, ComCtrls;

type
  TformSplash = class(TForm)
    imageProgIcon       : TImage;
    labelCopyright      : TLabel;
    labelProgNameLower  : TLabel;
    labelProgNameUpper  : TLabel;
    labelVersion        : TLabel;
    panel1              : TPanel;
    labelProgComment: TLabel;
    progressbarLoading: TProgressBar;
    labelStatus: TLabel;
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  formSplash: TformSplash;

implementation

{$R *.DFM}

//*************************************************************************
//* Releases this splash frame when it is activated.
//*************************************************************************
procedure TformSplash.FormActivate(Sender: TObject);
begin
  Release;
end;

Initialization
  formSplash := TformSplash.Create(Nil);
  SetProgramInformations(formSplash);
  formSplash.Show;
  formSplash.Update;
end.
