///////////////////////////////////////////////////////////////////////////
//            Hyper Juke, Audio-CD database with media player.           //
//                Copyright (C) 1990,1996 Fumio Kawamata                 //
//                                                                       //
//  This program is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU General Public License as published by //
//  the Free Software Foundation; version 2 of the License.              //                                                    //
//                                                                       //
//  This program is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General    //
//  Public License in the directory "GNUGPL" for more details.           //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************
unit Unitlist;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, Grids, DBGrids, DB, DBTables, DBCtrls, ExtCtrls,
  StdCtrls, Buttons;

type
  TformUnitTitles = class(TForm)
    tableUnit: TTable;
    datasource1: TDataSource;
    dbgrid1: TDBGrid;
    panelButtom: TPanel;
    dbvavigator1: TDBNavigator;
    tableUnitUNIT_ID: TStringField;
    tableUnitTITLE: TStringField;
    bitbtnClose: TBitBtn;
    bitbtnAppend: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure bitbtnCloseClick(Sender: TObject);
    procedure bitbtnAppendClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormDeactivate(Sender: TObject);
  private
  public
  end;

var
  formUnitTitles: TformUnitTitles;

implementation

{$R *.DFM}


//*************************************************************************
//* Executes when form opens
//*************************************************************************
procedure TformUnitTitles.FormCreate(Sender: TObject);
begin
  WindowState:=wsMinimized;
end;


//*************************************************************************
//* Closes myself
//*************************************************************************
procedure TformUnitTitles.bitbtnCloseClick(Sender: TObject);
begin
  Close;
end;


//*************************************************************************
//* Appends a new record
//*************************************************************************
procedure TformUnitTitles.bitbtnAppendClick(Sender: TObject);
begin
  tableUnit.Append;
end;


//*************************************************************************
//* Refreshs the Unit List table object
//*************************************************************************
procedure TformUnitTitles.FormActivate(Sender: TObject);
begin
  tableUnit.Refresh;
end;


//*************************************************************************
//* Posts the Unit List table if it is modifyed
//*************************************************************************
procedure TformUnitTitles.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  if tableUnit.Modified then tableUnit.Post;
end;


//*************************************************************************
//* Posts the Unit List table if it is modifyed
//*************************************************************************
procedure TformUnitTitles.FormDeactivate(Sender: TObject);
begin
  if tableUnit.Modified then tableUnit.Post;
end;

end.
